import request from '../utils/request.js'

class order extends request {

    static async getOrderList(page = 1, pageSize = 10, orderStatus, writeOffStatus) {
        const res = await this.getRequest(`${this.BASE_URL}Order/index?page=${page}&pageSize=${pageSize}&orderAtatus=${orderStatus}&writeOffStatus=${writeOffStatus}`)

        return res.data
    }
    static async getAllOrderList(page = 1, pageSize = 10) {
        const res = await this.getRequest(`${this.BASE_URL}Order/index?page=${page}&pageSize=${pageSize}`)

        return res.data
    }
    

}

export default order